Skip to Content
API ReferenceProduct Variants

Batch create product variants

Create multiple variants for a product in one request by sending a resources array.

Create multiple variants for a product in one request by sending a resources array.

POST
/v2/products/{product}/variants/batch

Authorization

headerAuthorizationBearer <API Key>

Provide your SellApp API key as a bearer token.

Path Parameters

product*integer

The product path parameter.

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Request Body

application/json
  1. body
resources*array<>

Response Body

Successful response.

application/json
  1. response
data*array<>
Example Request
curl -X POST 'https://sell.app/api/v2/products/1/variants/batch' \  -H 'X-STORE: launch-lab' \  -H 'Content-Type: application/json' \  -d '{  "resources": [    {      "title": "Default",      "description": "Default product variant.",      "deliverable": {        "types": [          "TEXT"        ],        "data": {          "serials": [            "SERIAL-001"          ],          "parsingMode": "NEW_LINE",          "removeDuplicate": true        }      },      "pricing": {        "humble": false,        "price": {          "price": 1000,          "currency": "USD"        }      },      "payment_methods": [        "PAYPAL"      ]    }  ]}'
{  "data": [    {      "id": 2,      "product_id": 1,      "title": "Default",      "description": "Default product variant.",      "deliverable": {        "types": [          "TEXT"        ],        "data": {          "serials": [            "SERIAL-001"          ],          "parsingMode": "NEW_LINE",          "removeDuplicate": true,          "stock": 1        }      },      "pricing": {        "humble": false,        "frequency": {          "value": 1,          "interval": "MONTH"        },        "type": "SINGLE_PAYMENT",        "price": {          "price": "1000",          "currency": "USD"        }      },      "minimum_purchase_quantity": 1,      "maximum_purchase_quantity": 1,      "bulk_discount": [],      "payment_methods": [        "PAYPAL"      ],      "other_settings": {        "quantity_increments": 0,        "discord_data_required": false,        "discord_kick_on_expire": true,        "community_servers": []      },      "order": 1,      "created_at": "2026-08-30T12:00:01.000000Z",      "updated_at": "2026-08-30T12:00:01.000000Z",      "deleted_at": null,      "product": {        "additional_information": [          {            "required": true,            "key": "5ebae238c0afae7f4a4b96b30ff6f34c",            "type": "CHECKBOX",            "label": "I agree to the purchase terms"          }        ]      }    }  ]}